Fixed deploy/release tasks

This commit is contained in:
Erik C. Thauvin 2022-09-17 12:37:37 -07:00
parent 9b595490bd
commit 5f224edf6d
5 changed files with 20 additions and 12 deletions

View file

@ -100,7 +100,7 @@ test {
tasks.withType(Test).configureEach {
testLogging {
exceptionFormat = 'full'
events('passed', 'skipped', 'failed')
events('skipped', 'failed')
}
}
@ -158,7 +158,7 @@ jar {
}
clean {
doLast {
doFirst {
project.delete(fileTree(deployDir))
}
}
@ -205,17 +205,17 @@ task copyToDeployLib(type: Copy) {
task deploy {
description = "Copies all needed files to the ${deployDir} directory."
group = 'Publishing'
dependsOn(clean, build, jar)
dependsOn(assemble, jar)
outputs.dir deployDir
inputs.files(copyToDeploy, copyToDeployLib)
doLast {
file(deployDir + '/logs').mkdir()
}
mustRunAfter clean
}
task release {
group = 'Publishing'
description = 'Releases new version.'
dependsOn(wrapper, deploy)
dependsOn(clean, wrapper, check, deploy)
mustRunAfter clean
}

Binary file not shown.

6
gradlew vendored
View file

@ -205,6 +205,12 @@ set -- \
org.gradle.wrapper.GradleWrapperMain \
"$@"
# Stop when "xargs" is not available.
if ! command -v xargs >/dev/null 2>&1
then
die "xargs is not available"
fi
# Use "xargs" to parse quoted args.
#
# With -n1 it outputs one arg per line, with the quotes and backslashes removed.

10
gradlew.bat vendored
View file

@ -40,7 +40,7 @@ if defined JAVA_HOME goto findJavaFromJavaHome
set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute
if %ERRORLEVEL% equ 0 goto execute
echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
@ -75,13 +75,15 @@ set CLASSPATH=%APP_HOME%\gradle\wrapper\gradle-wrapper.jar
:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd
if %ERRORLEVEL% equ 0 goto mainEnd
:fail
rem Set variable GRADLE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if not "" == "%GRADLE_EXIT_CONSOLE%" exit 1
exit /b 1
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%GRADLE_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%
:mainEnd
if "%OS%"=="Windows_NT" endlocal

View file

@ -1,6 +1,6 @@
#!/bin/bash
./gradlew deploy
./gradlew release
[ $? -eq 0 ] && sftp nix3.thauvin.us <<EOF
cd mobitopia/mobibot
lcd deploy